Set auto fueling to on or off
Toggles the auto fueling property of the vault account to enabled or disabled. Vault Accounts with ‘autoFuel=true’ are monitored and auto fueled by the Fireblocks Gas Station. Learn more about the Fireblocks Gas Station in the following guide. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
POST
/
vault
/
accounts
/
{vaultAccountId}
/
set_auto_fuel
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.setVaultAccountAutoFuel(vaultsApiSetVaultAccountAutoFuelRequest);CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().setVaultAccountAutoFuel(setAutoFuelRequest, vaultAccountId, idempotencyKey);response = fireblocks.vaults.set_vault_account_auto_fuel(set_auto_fuel_request, vault_account_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/set_auto_fuel \
--header 'Content-Type: application/json' \
--data '
{
"autoFuel": true
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({autoFuel: true})
};
fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/set_auto_fuel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The vault account ID
Body
application/json
Auto Fuel
Response
OK
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.setVaultAccountAutoFuel(vaultsApiSetVaultAccountAutoFuelRequest);CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().setVaultAccountAutoFuel(setAutoFuelRequest, vaultAccountId, idempotencyKey);response = fireblocks.vaults.set_vault_account_auto_fuel(set_auto_fuel_request, vault_account_id, idempotency_key);